## wayvnc 0.4.1

=== meson_options.txt ===
option('screencopy-dmabuf', type: 'feature', value: 'disabled',
	description: 'Enable GPU-side screencopy (experimental)')
option('pam', type: 'feature', value: 'auto',
	description: 'Enable PAM authentication')
option('man-pages', type: 'feature', value: 'auto',
	description: 'Generate and install man pages')
option('systemtap', type: 'boolean', value: false,
	description: 'Enable tracing using sdt')

=== debian/changelog ===
wayvnc (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1002590)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 28 Dec 2021 11:34:53 +0100

=== debian/control ===
Source: wayvnc
Priority: optional
Section: admin
Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkg-config,
 scdoc,
 libpam0g-dev,
 libpixman-1-dev,
 libdrm-dev,
 libxkbcommon-dev,
 libwayland-dev,
 libaml-dev,
 libneatvnc-dev,
 zlib1g-dev,
 libturbojpeg0-dev,
 gnutls-dev,
Rules-Requires-Root: no
Homepage: https://github.com/any1/wayvnc
Vcs-Git: https://salsa.debian.org/debian/wayvnc.git
Vcs-Browser: https://salsa.debian.org/debian/wayvnc

Package: wayvnc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: VNC server for wlroots-based Wayland compositors
 It attaches to a running Wayland session, creates virtual input devices, and
 exposes a single display via the RFB protocol. The Wayland session may be a
 headless one, so it is also possible to run wayvnc without a physical display
 attached.

## wayvnc 0.5.0

=== meson_options.txt ===
option('screencopy-dmabuf', type: 'feature', value: 'auto',
	description: 'Enable GPU-side screencopy')
option('pam', type: 'feature', value: 'auto',
	description: 'Enable PAM authentication')
option('man-pages', type: 'feature', value: 'auto',
	description: 'Generate and install man pages')
option('systemtap', type: 'boolean', value: false,
	description: 'Enable tracing using sdt')

=== debian/changelog ===
wayvnc (0.5.0-1) unstable; urgency=medium

  * New upstream version
      - Use new NeatVNC buffer submission API (closes: #1015099)
  * debian/control: add minimum version for libneatvnc-dev (>= 0.5.1)
  * debian/copyright: murmurhash was moved to neatvnc
  * debian/copyright: bump year

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 16 Jul 2022 22:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libxkbcommon-dev,
  libwayland-dev,
  libaml-dev,
- libneatvnc-dev,
+ libneatvnc-dev (>= 0.5.1),
  zlib1g-dev,
  libturbojpeg0-dev,
  gnutls-dev,

## wayvnc 0.6.2

=== debian/changelog ===
wayvnc (0.6.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #1041895)
  * debian/wayvnc.examples: Install example files.
  * debian/copyright: Update information.
  * debian/control:
    + Add new build-dep libjansson-dev.
    + Further limit version requirement for libaml-dev, libneatvnc-dev.
    + Add myself into Uploaders list.
    + Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jul 2023 14:01:01 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Priority: optional
 Section: admin
 Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
-Standards-Version: 4.6.0
+Uploaders:
+ Boyuan Yang <byang@debian.org>,
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  meson,
@@ -13,8 +15,9 @@
  libdrm-dev,
  libxkbcommon-dev,
  libwayland-dev,
- libaml-dev,
- libneatvnc-dev (>= 0.5.1),
+ libaml-dev (>= 0.3.0),
+ libjansson-dev,
+ libneatvnc-dev (>= 0.6.0),
  zlib1g-dev,
  libturbojpeg0-dev,
  gnutls-dev,

## wayvnc 0.7.2

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,5 @@
 	description: 'Generate and install man pages')
 option('systemtap', type: 'boolean', value: false,
 	description: 'Enable tracing using sdt')
+option('tests', type: 'boolean', value: true,
+	description: 'Build unit tests')

=== debian/changelog ===
wayvnc (0.7.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:29 +1100

wayvnc (0.7.2-1build1) noble; urgency=medium

  * Rebuild against new libaml0t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Mar 2024 11:26:49 +0100

wayvnc (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 10:46:48 -0500

wayvnc (0.7.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 12:54:24 -0400

wayvnc (0.7.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update Unlicense license.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Oct 2023 16:10:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wayvnc
 Priority: optional
 Section: admin
-Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Standards-Version: 4.6.2
@@ -17,7 +18,7 @@
  libwayland-dev,
  libaml-dev (>= 0.3.0),
  libjansson-dev,
- libneatvnc-dev (>= 0.6.0),
+ libneatvnc-dev (>= 0.7.0),
  zlib1g-dev,
  libturbojpeg0-dev,
  gnutls-dev,

## wayvnc 0.8.0

=== debian/changelog ===
wayvnc (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    + Remove myself from the uploaders list.
    + Add versioned requirement on neatvnc v0.8.0+.
  * debian/copyright: Update information on new protocol files.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 10:59:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,12 @@
 Source: wayvnc
 Priority: optional
 Section: admin
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  scdoc,
  libpam0g-dev,
  libpixman-1-dev,
@@ -18,7 +15,7 @@
  libwayland-dev,
  libaml-dev (>= 0.3.0),
  libjansson-dev,
- libneatvnc-dev (>= 0.7.0),
+ libneatvnc-dev (>= 0.8.0),
  zlib1g-dev,
  libturbojpeg0-dev,
  gnutls-dev,

## wayvnc 0.9.1

=== debian/changelog ===
wayvnc (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * Add a trivial git-buildpackage config file.
  * New upstream version:
    - update the neatvnc build dependency to 0.9.x; Closes: #1089194
    - update the upstream copyright notices
  * Declare compliance with Policy 4.7.0 with no changes.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api 1, drop the implied Rules-Requires-Root: no.

 -- Peter Pentchev <roam@debian.org>  Wed, 12 Feb 2025 18:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Section: admin
 Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-build-api (= 1),
  meson,
  pkgconf,
  scdoc,
@@ -15,11 +16,10 @@
  libwayland-dev,
  libaml-dev (>= 0.3.0),
  libjansson-dev,
- libneatvnc-dev (>= 0.8.0),
+ libneatvnc-dev (>= 0.9.0),
  zlib1g-dev,
  libturbojpeg0-dev,
  gnutls-dev,
-Rules-Requires-Root: no
 Homepage: https://github.com/any1/wayvnc
 Vcs-Git: https://salsa.debian.org/debian/wayvnc.git
 Vcs-Browser: https://salsa.debian.org/debian/wayvnc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wayvnc-$1\.tar\.gz/" \
 https://github.com/any1/wayvnc/tags .*/v?(\d\S+)\.tar\.gz
